#!/bin/sh

if [ $# -ne 2 ];then 
    printf "%s\n" "Usage: $0 ipbase nr_values"
    printf "e.g. %s\n" "$0 23.239.140.191 5"
    exit
fi

ip=$1
ipbase="$(echo $ip | cut -d. -f1-3)"
ip_start="$(echo $ip | cut -d. -f4)"
ip_end=$(($ip_start+$2))
iprange="$ip_start $ip_end"

#printf "%s\n" "$0 ip: $ip ipbase: $ipbase iprange: $iprange"
for i in `seq $iprange`; 
    do nc -nz -w1 $ipbase.$i 10000; 
        if [ $? -eq 0 ];then 
            printf "%s\n" "nc -nz -w1 $ipbase.$i 10000 - open"
            scadat $ipbase.$i:10000
            if [ $? -eq 0 ];then 
                printf "%s\n" "scadat $ipbase.$i 10000 - pass"
            else
                printf "%s\n" "scadat $ipbase.$i 10000 - fail"
            fi
        else
            printf "%s\n" "nc -nz -w1 $ipbase.$i 10000 - closed"
        fi
    done
