#!/usr/bin/env python
# Run this file to update scadat.org and pip
import string, subprocess
import os

# "scadat -h" -> n0
n0=subprocess.check_output(["./scadat/scadat", "-h"])

# Read in template file
# docs/index.templ -> docs/index.html+n0 -> http://scadat.org/index.html
with open('docs/index.templ') as x: f = x.read()
#print f.format(n0)
with open("docs/index.html", "w") as x: x.write(f.format(n0))

# Install index.html and deb_dist to scadat.org
os.system('scp "%s" "%s:%s"' % ("docs/index.html", "root@scadat.org", "/var/www/index.html") )
