#   author:martinmhan@yahoo.com date:  22/04/2014
#   scadat is a bash command line interface to the tango scada (and in future epics)
#   Copyright (C) <2014>  <Martin Mohan>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA

#import scadat_version
import sys
# Global verbosity set at start
gverbose=0

def stdout(string_value,v=0):
    if gverbose==v:
        print (string_value)
#    print (string_value)


#
# todo modify unittest so stderr works (assertErr)
def stderr(string_value,v=0):
    if gverbose==v:
        sys.stderr.write(string_value+"\n")

## Use v for more verbose error handling
def handle_exception(e,message="Exception",v=0):
    """ Handle exception"""
#    stdout(message,v)
    stderr(message,v)
    if gverbose>=1:
#        stdout(message+"\n"+str(e),verbose)
        stderr(message+"\n"+str(e),verbose)
